Havp fails to download/install



  • Downloading package configuration file… done.
    Saving updated package information... done.
    Downloading HAVP antivirus and its dependencies... done.
    Checking for successful package installation... failed!

    Installation aborted.

    It finishes dling in .000001 seconds, so it's not downloading, well I'm pretty sure anyway.



  • witch version of pfsense ?



  • 1.2.3 retail



  • i am also facing the same problem, i don't know why is it happening.
    my pfsense version is 1.2.3



  • Same failure today with a clean LiveISO to disk installation (1.2.3-RELEASE
    built on Sun Dec 6 23:21:36 EST 2009):

    Downloading package configuration file… done.
    Saving updated package information... done.
    Downloading HAVP antivirus and its dependencies... done.
    Checking for successful package installation... failed!

    Installation aborted.

    Any Ideas why?



  • I now tested installation:

    Executing custom_php_resync_config_command()…done.
    Writing configuration... done.
    Starting service.

    Installation completed.   Please check to make sure that the package is configured from the respective menu then start the package.



  • Still same prob, where is the package installed to, and the download located so I can SSH and delete it? This really shouldn't be happening  :(



  • 1. Delete HAVP from WebGUI
    2. from shell list pkg_info and delete all havp** and clam** entries with pkg_delete
    3. Install HAVP via gui new.



  • pkg_info

    grub-0.97_3        GRand Unified Bootloader
    packages            BSD Installer mega-package

    There are no additional entries to be deleted…
    Other package installations are working fine (e.g. DNS Blacklist)

    I took a look at /usr/local/pkg...
    For hapv there is only one xml file, shouldn't there be more files from the download process?



  • pfSense 1.2.3 - Havp installation success
    pfSense 2.x - Havp broken



  • I have this same problem, just checked the /tmp folder out and it says this:

    Beginning package installation.
    Downloading package configuration file…
    havp-0.90 Array
    (
       [0] => Requested space: 1380 bytes, free space: 2576M bytes in /var/tmp/instmp.LTIdMS
       [1] => tar: Unrecognized archive format: Inappropriate file type or format
       [2] => tar: +CONTENTS: Not found in archive
       [3] => tar: Error exit delayed from previous errors.
       [4] => pkg_add: tar extract of /tmp/apkg_havp-0.90.tbz failed!
       [5] => pkg_add: unable to extract table of contents file from '/tmp/apkg_havp-0.90.tbz' - not a package?
       [6] => pkg_add: 1 package addition(s) failed
    )

    Package WAS NOT installed properly.

    In my packages it says this:
    BETA
    0.90
    platform: 1.2.2

    poked around some more and found that it was trying to pull from freebsd 7.2 and the server only had freebsd7.3 which was returning the 404



  • Open and read content of the /tmp/apkg_havp-0.90.tbz probably external package storage have a problem.



  • @dvserg:

    Open and read content of the /tmp/apkg_havp-0.90.tbz probably external package storage have a problem.

    It gives me this

    # cat apkg_havp-0.90.tbz 
    
             "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
    
      <title>404 - Not Found</title>
    
    # 404 - Not Found
    
    

    Thanks!



  • I can fix it just by Monday.



  • Hello All,

    pfSense-1.2.3-RELEASE

    Is havp package available to download today on Nov 13th? I am wanting to install it on a live system for our school. I do not want to hose this system.
    I have havp working fine as of a week ago at one of our other school buildings.

    Thank You,
    Barry



  • 1. PFSENSE 2.0 havp-0.91_1 updated.
    2. HAVP GUI restructured.
    3. PFSENSE 1.2.x havp-0.91 updated.



  • @dvserg:

    1. PFSENSE 2.0 havp-0.91_1 updated.
    2. HAVP GUI restructured.
    3. PFSENSE 1.2.x havp-0.91 updated.

    It installed perfectly!  Thanks for the help. :)



  • hi all,
            this is the log for havp on my system can,the log shows its working but it fails eicar test. can any one help..!!

    havp[8540]: Process ID: 8540
    Nov 17 12:00:43    havp[8539]: –- All scanners initialized
    Nov 17 12:00:43    havp[8539]: Clamd Socket Scanner passed EICAR virus test (Eicar-Test-Signature)
    Nov 17 12:00:43    havp[8539]: –- Initializing Clamd Socket Scanner
    Nov 17 12:00:43    havp[8539]: Use parent proxy: 10.10.10.1:3128
    Nov 17 12:00:43    havp[8539]: Running as user: havp, group: havp
    Nov 17 12:00:43    havp[8539]: === Mandatory locking disabled! KEEPBACK settings not used!
    Nov 17 12:00:43    havp[8539]: === Starting HAVP Version: 0.91
    Nov 17 11:52:57    dnsmasq[556]: reading /var/dhcpd/var/db/dhcpd.leases
    Nov 17 11:45:25    freshclam[4905]: Current functionality level = 44, recommended = 53
    Nov 17 11:45:25    freshclam[4905]: Current functionality level = 44, recommended = 54
    Nov 17 11:45:25    freshclam[4905]: Current functionality level = 44, recommended = 53
    Nov 17 11:07:01    freshclam[61197]: Current functionality level = 44, recommended = 53
    Nov 17 11:07:01    freshclam[61197]: Current functionality level = 44, recommended = 54
    Nov 17 11:07:01    freshclam[61197]: Your ClamAV installation is OUTDATED!
    Nov 17 11:06:59    freshclam[61197]: Current functionality level = 44, recommended = 53
    Nov 17 11:06:59    freshclam[61197]: Can't download daily.cvd from clamav.mirror.ayudahosting.com.au
    Nov 17 11:06:58    freshclam[61197]: Incremental update failed, trying to download daily.cvd
    Nov 17 11:06:58    last message repeated 2 times
    Nov 17 11:06:58    freshclam[61197]: getpatch: Can't download daily-12274.cdiff from clamav.mirror.ayudahosting.com.au
    Nov 17 11:06:57    freshclam[61197]: Current functionality level = 44, recommended = 53
    Nov 17 11:06:52    freshclam[61197]: Can't download daily.cvd from clamav.mirror.ayudahosting.com.au
    Nov 17 11:06:51    freshclam[61197]: Incremental update failed, trying to download daily.cvd

    in this log its showing ===Your ClamAV installation is OUTDATED!
    how do i resolve this…?
    thanks in advance,
    NM04



  • in this log its showing ===Your ClamAV installation is OUTDATED!
    how do i resolve this…?

    You nothing todo. This is standart warnong if version CLAM old.
    You Clam is a work.

    I off this warning in next update.



  • hi all,
            thanks dvserg but after all this my pfsense is failing the "eicar" test. Can you help me on this…??

    Regards,
    NM04


Log in to reply